Internal details

## Classes

struct | clutchlog::scope_t

## Functions

| clutchlog::clutchlog (clutchlog const &)=delete
void | clutchlog::operator= (clutchlog const &)=delete
scope_t | clutchlog::locate (const level &stage, const std::string &file, const std::string &func, const size_t line) const
| Gather information on the current location of the call.

## Variables

const size_t | clutchlog::_strip_calls
const std::map< level, std::string > | clutchlog::_level_word
std::map< std::string, level > | clutchlog::_word_level
std::map< level, fmt > | clutchlog::_level_fmt
std::string | clutchlog::_format_log
std::string | clutchlog::_format_dump
std::ostream * | clutchlog::_out
level | clutchlog::_stage
std::regex | clutchlog::_in_file
std::regex | clutchlog::_in_func
std::regex | clutchlog::_in_line

## Detailed Description